Issue 108534 - helpcontent2: not builded for Basque lang
Summary: helpcontent2: not builded for Basque lang
Status: CLOSED FIXED
Alias: None
Product: Internationalization
Classification: Code
Component: helpcontent (show other issues)
Version: OOO320m1
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: ivo.hinkelmann
QA Contact: issues@l10n
URL:
Keywords:
Depends on:
Blocks: 99999
  Show dependency tree
 
Reported: 2010-01-21 10:06 UTC by dooteo
Modified: 2013-08-07 15:02 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
HC2 auxiliary eu directory (1.85 KB, text/plain)
2010-01-21 14:42 UTC, dooteo
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description dooteo 2010-01-21 10:06:58 UTC
Hi,

In  OOo 3.2 rc1 build for Basque lang, Help section is only in English, even
helpcontent2 module is translated to Basque lang in more than 80%.

Even Basque GSI was updated from OOo 320 m1 as requested, POT directory had  not
helpcontent2/source/auxillary, so Basque GSI has not 'auxiliary' messages too.
This seems to be the main reason to get Help contents only in English (instead
of Basque).

I don't sure if this issue has same effects on other languages.
Comment 1 Uwe Fischer 2010-01-21 10:28:17 UTC
changing component
Comment 2 Uwe Fischer 2010-01-21 10:28:47 UTC
changing owner
Comment 3 ivo.hinkelmann 2010-01-21 11:37:55 UTC
missing hc2/source/auxillary/eu/ directory
Comment 4 rene 2010-01-21 12:18:38 UTC
do we have proper files for eu? can we reuse some other languages' file(s)?

(And as much as I'd like to see this fixed, too, I think this is more 3.2.1 than
3.2)
Comment 5 ivo.hinkelmann 2010-01-21 13:35:11 UTC
yes we have a more or less complete tanslated eu hc2 according to dooteo, the
generation of the hc2 content is simply omitted by the lack of these aux files
Comment 6 rene 2010-01-21 13:43:37 UTC
that was not my question, I know that hc2 is translated, I ask about the aux
files :-)
Comment 7 ivo.hinkelmann 2010-01-21 14:13:01 UTC
ah .. then say it ;) Yes we can copy them from a other lang and then just modify
the iso code in each of these files. Is done in 1 minute.
Comment 8 dooteo 2010-01-21 14:39:45 UTC
Hi Ivo and Rene,

ASAIK, in Auxiliary dir there should be a 'eu' subdirectory, in which only *.cfg
must be changed. I mean, replace 'Language=es' by 'Language=eu'. Are 'Title'
fields translatable?

Comment 9 dooteo 2010-01-21 14:40:00 UTC
Hi Ivo and Rene,

AFAIK, in Auxiliary dir there should be a 'eu' subdirectory, in which only *.cfg
must be changed. I mean, replace 'Language=es' by 'Language=eu'. Are 'Title'
fields translatable?

Comment 10 dooteo 2010-01-21 14:42:10 UTC
Created attachment 67342 [details]
HC2 auxiliary eu directory
Comment 11 dooteo 2010-01-21 14:46:27 UTC
In previous message, I attached patch ('eu' directory) to be included into
auxiliary. Can you do that for me, please?

Thanks and best regards

Dooteo
Comment 12 ivo.hinkelmann 2010-01-22 11:49:54 UTC
fixed in cws l10n32fixrc
Comment 13 stefan.baltzer 2010-01-22 13:55:29 UTC
Verified in CWS l10n32fixrc.
Comment 14 stefan.baltzer 2010-01-25 09:57:26 UTC
OK in OOO320_m11. Closed.